aboutsummaryrefslogtreecommitdiff
path: root/performance-test/T07-git.sh
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2022-07-02 16:11:58 -0300
committerDavid Bremner <david@tethera.net>2022-07-16 20:27:40 -0400
commitc66f0dea7a611a3379b8ba8ef461a805d10905c8 (patch)
tree051f9aa8bab46307f566ef0986565d4e2c240e5d /performance-test/T07-git.sh
parent349987668ae1da3ee30cdbe3a4acc11bb2219e0d (diff)
perf-test: add tests notmuch-git
The main focus of these initial tests is the (currently unacceptably slow) checkout performance.
Diffstat (limited to 'performance-test/T07-git.sh')
-rwxr-xr-xperformance-test/T07-git.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/performance-test/T07-git.sh b/performance-test/T07-git.sh
new file mode 100755
index 00000000..11dfec05
--- /dev/null
+++ b/performance-test/T07-git.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+test_description='notmuch-git'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+time_start
+
+time_run 'init' "notmuch git init"
+
+time_run 'commit --force' "notmuch git commit --force"
+time_run 'commit' "notmuch git -l error commit"
+time_run 'commit' "notmuch git -l error commit"
+
+time_run 'checkout' "notmuch git checkout"
+
+time_run 'tag -inbox' "notmuch tag -inbox '*'"
+
+time_run 'checkout --force' "notmuch git checkout --force"
+
+
+
+time_done